﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class GameManager : MonoBehaviour
{
    [SerializeField]
    private bool _isGameOver;
    private bool _canWeRestart = false;

    private void Update()
    {
        if(_isGameOver == true) {
            _canWeRestart = true;
        }
    }

    public void GameOver()
    {
        Debug.Log("GameManager::GameOver() called");
        _isGameOver = true;
    }

    public void StartNewGame() {
        if(_isGameOver == true && _canWeRestart == true) {
            SceneManager.LoadScene(1); //Current Game Scene
        }
    }
}
